<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.metabolic.compartment Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.metabolic.compartment Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/metabolic/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/metabolic/compress/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/metabolic/compartment/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.metabolic.compartment
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/AbstractMetabolicNetwork.html" title="class in ch.javasoft.metabolic.impl"><B>AbstractMetabolicNetwork</B></A> (implements ch.javasoft.metabolic.<A HREF="../../../../ch/javasoft/metabolic/AnnotateableMetabolicNetwork.html" title="interface in ch.javasoft.metabolic">AnnotateableMetabolicNetwork</A>)
<UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolicNetwork.html" title="class in ch.javasoft.metabolic.impl"><B>DefaultMetabolicNetwork</B></A><UL>
<LI TYPE="circle">ch.javasoft.metabolic.compartment.<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolicNetwork.html" title="class in ch.javasoft.metabolic.compartment"><B>CompartmentMetabolicNetwork</B></A></UL>
</UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/AbstractReaction.html" title="class in ch.javasoft.metabolic.impl"><B>AbstractReaction</B></A> (implements ch.javasoft.metabolic.<A HREF="../../../../ch/javasoft/metabolic/Reaction.html" title="interface in ch.javasoft.metabolic">Reaction</A>)
<UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/AbstractNamedReaction.html" title="class in ch.javasoft.metabolic.impl"><B>AbstractNamedReaction</B></A><UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/DefaultReaction.html" title="class in ch.javasoft.metabolic.impl"><B>DefaultReaction</B></A><UL>
<LI TYPE="circle">ch.javasoft.metabolic.compartment.<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentReaction.html" title="class in ch.javasoft.metabolic.compartment"><B>CompartmentReaction</B></A></UL>
</UL>
</UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetabolite.html" title="class in ch.javasoft.metabolic.impl"><B>DefaultMetabolite</B></A> (implements ch.javasoft.metabolic.<A HREF="../../../../ch/javasoft/metabolic/Metabolite.html" title="interface in ch.javasoft.metabolic">Metabolite</A>)
<UL>
<LI TYPE="circle">ch.javasoft.metabolic.compartment.<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetabolite.html" title="class in ch.javasoft.metabolic.compartment"><B>CompartmentMetabolite</B></A></UL>
<LI TYPE="circle">ch.javasoft.metabolic.impl.<A HREF="../../../../ch/javasoft/metabolic/impl/DefaultMetaboliteRatio.html" title="class in ch.javasoft.metabolic.impl"><B>DefaultMetaboliteRatio</B></A> (implements ch.javasoft.metabolic.<A HREF="../../../../ch/javasoft/metabolic/MetaboliteRatio.html" title="interface in ch.javasoft.metabolic">MetaboliteRatio</A>)
<UL>
<LI TYPE="circle">ch.javasoft.metabolic.compartment.<A HREF="../../../../ch/javasoft/metabolic/compartment/CompartmentMetaboliteRatio.html" title="class in ch.javasoft.metabolic.compartment"><B>CompartmentMetaboliteRatio</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/metabolic/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/metabolic/compress/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/metabolic/compartment/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
